{% capture url %}{{ site.url }}{{ include.url }}{% endcapture %}

{% unless include.share.url == '%url' %}
  {% assign url = url | default: '' | cgi_escape %}
{% endunless %}
{% assign title = include.title | default: '' | cgi_escape %}
{% assign description = include.description | default: '' | cgi_escape %}
{% assign tags = include.tags | join: ',' | default: '' | cgi_escape %}
<div class="btn share-btn {{include.share.icon}}-btn">
    <a
    {% if include.share.url == '%url' %}
        download
    {% else %}
        target="_blank"
    {% endif %}
    rel="noopener nofollow"
    title="{{ include.share.title }}"
    class="d-flex text-white text-lowercase align-items-center justify-content-center p-3"
    href="{{ include.share.url | replace: '%url', url | replace: '%title', title | replace: '%description', description | replace: '%tags', tags }}">
    <i class="share-icon fab fa-{{ include.share.icon }}"></i>
    <span>{{ include.share.title }}</span>
    </a>
</div>

